{% extends 'base_1.html' %}

{% block content %}
<div class="container pt-5">
    <p>Common Tags:
        {% for mt in common_tags %}
        <a href="#" class="badge badge-success">{{mt}}</a>
        {% endfor %}
    </p>
    <div class="row mb-2 posts">
        {% for post in posts %}
        <div class="col-md-6">
            <div class="cards">
                <div class="row no-gutters border rounded  flex-md-row mb-4 shadow-sm h-md-250">
                    <div class="col p-4 d-flex flex-column position-static">
                        <h3 class="my-1"><a href="{% url 'detail' post.slug %}">{{post.title}}</a></h3>
                        <div style="display:flex">
                            {% for tag in post.tags.all %}
                            <a href="{% url 'blog:tagged' tag.slug %}" class="mr-1 badge badge-info">#{{ tag }}</a>
                            {% endfor %}
                        </div>
                        <p class="mb-auto">{{post.description}}</p>
                        <p class="mb-auto text-muted">{{post.published}}</p>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>






{% endblock content %}